import GridData from './grid.js';
import { GridState, RuleState, State } from './primitives.js';
export declare function aggregateState(rules: RuleState[], grid: GridData, symbols: Map<string, State[]>): State;
export declare function applyFinalOverrides(grid: GridData, solution: GridData | null, state: GridState): GridState;
export default function validateGrid(grid: GridData, solution: GridData | null): GridState;
